Skip to main content
GET
/
v1
/
customers
/
{customer_id}
Get customer
curl --request GET \
  --url https://api-sandbox.y.uno/v1/customers/{customer_id} \
  --header 'account-code: <api-key>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "c9d0e1f2-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
  "email": "maria.silva@example.com",
  "first_name": "Maria",
  "last_name": "Silva",
  "phone": "+5511999990000",
  "document": {
    "document_type": "CPF",
    "document_number": "12345678901"
  },
  "merchant_customer_id": "cust-internal-001",
  "created_at": "2026-03-01T10:00:00.000Z"
}
This request enables you to retrieve details of customers based on their id, which needs to be provided in the request path.

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

account-code
string
header
required

Your account identifier. The alias X-Account-Code is also accepted.

Path Parameters

customer_id
string<uuid>
required

The unique identifier of the customer

Response

Customer details

id
string<uuid>

Yuno customer identifier

Example:

"c9d0e1f2-3a4b-5c6d-7e8f-9a0b1c2d3e4f"

email
string<email>
Example:

"maria.silva@example.com"

first_name
string
Example:

"Maria"

last_name
string
Example:

"Silva"

phone
string
Example:

"+5511999990000"

document
object
Example:
{
"document_type": "CPF",
"document_number": "12345678901"
}
merchant_customer_id
string
Example:

"cust-internal-001"

created_at
string<date-time>
Example:

"2026-03-01T10:00:00.000Z"